Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.debug.ui.actions
Interface IRunToLineTarget

public interface IRunToLineTarget

An adapter for a "run to line" operation. The debug platform provides a retargettable "run to line" action that debuggers may plug into by providing an adapter (see `IAdaptable`) of this type. This allows the platform to provide one command and keybinding for the "run to line" function to be shared by many debuggers.

When a part is activated, a retargettable action asks the part for its `IRunToLineTarget` adapter. If one exists, that adapter is delegated to to perform "run to line" operations when the user invokes an associated action. If an adapter does not exist for the part, the retargettable actions asks selected objects in the active part for an adapter. Generally, a debug implementation will provide breakpoint adapters for relevant editors and model objects.

Clients are intended to implement this interface and provide instances as an adapter on applicable parts (for example, editors) that support the operation.

Since:
  3.0

Method Summary
`boolean` | `canRunToLine(IWorkbenchPart part, ISelection selection, ISuspendResume target)` Returns whether a run to line operation can be performed on the given element that is currently selected and suspended in the Debug view.
`void` | `runToLine(IWorkbenchPart part, ISelection selection, ISuspendResume target)` Perform a run to line operation on the given element that is currently selected and suspended in the Debug view.

Method Detail

### runToLine

    public void runToLine(IWorkbenchPart part,
                          ISelection selection,
                          ISuspendResume target)
                   throws CoreException

  Perform a run to line operation on the given element that is currently selected and suspended in the Debug view. Implementations must honor the user preference of whether to skip breakpoints during the operation - see `IDebugUIConstants.PREF_SKIP_BREAKPOINTS_DURING_RUN_TO_LINE`.

  Parameters:
    `part` - the part on which the action has been invoked
    `selection` - the selection on which the action has been invoked
    `target` - suspended element to perform the "run to line" action on
  Throws:
    `CoreException` - if unable to perform the action

### canRunToLine

    public boolean canRunToLine(IWorkbenchPart part,
                                ISelection selection,
                                ISuspendResume target)

  Returns whether a run to line operation can be performed on the given element that is currently selected and suspended in the Debug view.

  Parameters:
    `part` - the part on which the action has been invoked
    `selection` - the selection on which the action has been invoked
    `target` - suspended element to perform the "run to line" action on
  Throws:
    `CoreException` - if unable to perform the action

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.